{
  "name": "ehr",
  "version": "0.0.0",
  "private": true,
  "scripts": {
    "dev": "vite",
    "build": "run-p build-only",
    "preview": "vite preview",
    "test:unit": "vitest --environment jsdom --root src/",
    "test:e2e": "start-server-and-test preview :4173 'cypress run --e2e'",
    "test:e2e:dev": "start-server-and-test 'vite dev --port 4173' :4173 'cypress open --e2e'",
    "build-only": "vite build",
    "type-check": "vue-tsc --noEmit -p tsconfig.vitest.json --composite false",
    "lint": "eslint . --ext .vue,.js,.jsx,.cjs,.mjs,.ts,.tsx,.cts,.mts --fix --ignore-path .gitignore",
    "format": "prettier ./src  --write"
  },
  "dependencies": {
    "@arcgis/core": "^4.28.10",
    "@fullcalendar/core": "^6.0.1",
    "@fullcalendar/daygrid": "^6.0.1",
    "@fullcalendar/interaction": "^6.0.2",
    "@fullcalendar/list": "^6.0.2",
    "@fullcalendar/react": "^6.0.1",
    "@fullcalendar/timegrid": "^6.0.2",
    "@fullcalendar/vue3": "^6.0.1",
    "@quasar/extras": "^1.15.8",
    "@tato30/vue-pdf": "~1.9.5",
    "@vuepic/vue-datepicker": "^3.6.3",
    "arcgis-js-api": "^4.28.10",
    "axios": "^1.6.7",
    "bma-org-chart": "^0.0.8",
    "esri-loader": "^3.7.0",
    "html-to-image": "^1.11.13",
    "keycloak-js": "^20.0.2",
    "moment": "^2.29.4",
    "pdf-lib": "^1.17.1",
    "pinia": "^2.0.29",
    "quasar": "^2.11.1",
    "socket.io-client": "^4.7.4",
    "structure-chart": "^0.0.9",
    "vue": "^3.4.15",
    "vue-currency-input": "^3.0.5",
    "vue-router": "^4.1.6",
    "vue3-datepicker": "^0.3.4",
    "vue3-pdfjs": "^0.1.6",
    "xlsx": "^0.18.5"
  },
  "devDependencies": {
    "@quasar/vite-plugin": "^1.3.0",
    "@rushstack/eslint-patch": "^1.1.4",
    "@types/jsdom": "^20.0.1",
    "@types/node": "^18.11.12",
    "@vitejs/plugin-vue": "^4.0.0",
    "@vitejs/plugin-vue-jsx": "^3.0.0",
    "@vue/eslint-config-prettier": "^7.0.0",
    "@vue/eslint-config-typescript": "^11.0.0",
    "@vue/test-utils": "^2.2.6",
    "@vue/tsconfig": "^0.1.3",
    "cypress": "^12.0.2",
    "eslint": "^8.22.0",
    "eslint-plugin-cypress": "^2.12.1",
    "eslint-plugin-vue": "^9.3.0",
    "jsdom": "^20.0.3",
    "npm-run-all": "^4.1.5",
    "prettier": "^2.7.1",
    "quasar-ui-q-draggable-table": "^1.0.1",
    "sass": "^1.97.3",
    "start-server-and-test": "^1.15.2",
    "typescript": "~4.7.4",
    "vite": "^4.0.0",
    "vitest": "^0.25.6",
    "vue-table-to-excel": "^1.0.6",
    "vue-tsc": "^1.0.12"
  }
}
